function [] = mpplotall()
% MPPLOTALL
%  Plot all in directory

% Basic variables
colors = [ 'y', 'm', 'c', 'r', 'g', 'b'];
lshape = [ ' - : -. -- '];
sdel = findstr(lshape, ' ');
pshape = [ '.', 'o', 'x', '+', '*'];

% Find out how much we have...
% (which measurement is underway..)
cwd=pwd;
diridx=findstr(cwd,'/');
mitta=cwd(diridx(length(diridx))+1:length(cwd));
[nowork, rest] = strtok(mitta, 'tw');
work=strtok(rest,'tw') ;             
nowork=str2num(nowork);
work=str2num(work);

wtimeslen=0;
for i = 0:work-1,
  fname = sprintf('sending.%d.bt', i);
  eval(sprintf('bt%d=readmtrx(fname)/1e6;',i));
  fname = sprintf('sending.%d.bw',i);
  eval(sprintf('bw%d=readmtrx(fname);',i));
  fname = sprintf('sending.%d.ft',i);
  eval(sprintf('ft%d=readmtrx(fname)/1e6;',i));
  fname = sprintf('sending.%d.fi',i);
  eval(sprintf('fi%d=readmtrx(fname);',i));
  fname = sprintf('sending.%d.wt',i);
  eval(sprintf('wt%d=readmtrx(fname)/1e6;',i));
  fname = sprintf('sending.%d.ws',i);
  eval(sprintf('ws%d=readmtrx(fname);',i));
  nw=readmtrx(sprintf('net_write.%d.wr',i));
  wtimeslen = wtimeslen + length(nw);
  nwi=zeros([length(nw)-1 1]);
  for j = 1:length(nw)-1, 
    nwi(j)=nw(j+1)-nw(j);
  end
  eval(sprintf('ni%d=nwi;', i));
  eval(sprintf('nt%d=nw(2:length(nw))/1e6;', i));
  eval(sprintf('nw%d=nw/1e6;', i));
  ar=readmtrx(sprintf('net_write.%d.ar', i));
  aw=readmtrx(sprintf('net_write.%d.aw', i));
  eval(sprintf('ri%d=ar(2:length(ar))- aw(1:length(aw)-1);',i));
  eval(sprintf('aw%d=aw(1:length(aw)-1)/1e6;', i));
end

pt=readmtrx('pid.pt')/1e6;
pi=readmtrx('pid.pi');
st=readmtrx('skbcount.st')/1e6;
sc=readmtrx('skbcount.sc');
sa=readmtrx('skbcount.sa');
%for i = 1:length(st), 
%  st2(2*i-1)=st(i);
%  st2(2*i)=st(i); 
%end
%for i = 2:length(sa),
%  tmp=sa(i)/(st(i)-st(i-1))/100;
%  sa2(2*i-2)= tmp;
%  sa2(2*i-1)=tmp; 
%end
%sa2(1)=0;
%sa2(2*length(sa))=0;

clf
axes('position',[0.13 0.4045 0.775 0.5205])%0.775
hold off
legstr='';
for i = 0:work-1,
  if length(legstr) == 0,
    legstr=sprintf('''%d. fr'', ''%s''', i+1, linecolor(i));
  else
    legstr=sprintf('%s, ''%d. fr'', ''%s''', legstr, i+1, linecolor(i));
  end
  legstr=sprintf('%s, ''%d. wr'', ''%s''', legstr, i+1, linecolor(i+2));
end
for i = 0:work-1,
  lcolor = linecolor(i);
  eval(sprintf('semilogy(ft%d,fi%d,lcolor)', i, i));
  if i == 0,
    hold on
  end
  lcolor = linecolor(i+2);
  eval(sprintf('semilogy(nt%d,ni%d,lcolor)', i, i));
%  eval(sprintf('semilogy(wt%d,ws%d,lcolor)', i, i));
  lshape = linecolor(i, 'o');
  eval(sprintf('semilogy(aw%d,ri%d,lshape)', i, i));
end
disp(sprintf('legend(%s)', legstr));
ylabel('Kehysten ja kirjoitustan vliajat (s)')
axes('position',[0.13 0.1100 0.775 0.2238]);
wtimes=zeros([wtimeslen 1]);
wind=1;
for i = 0:work-1,
  eval(sprintf('wtimes(wind:wind+length(nw%d)-1)=nw%d;', i, i));
  eval(sprintf('wind=wind+length(nw%d);', i));
end

hold off
[skbt, skbs] = skbinuse(sort(wtimes));
plot(skbt, skbs, 'm-') 
hold on
plot(pt,pi*10,'r:')			% ajossa olevat prosessit
%plot(st,sc,'g-.')			% varattuna olevat skg:t
%plot(st,sa,'g+')			% skb:den varausmr yhden caihdon aikana
%plot(st2,sa2,'m--')
for i = 0:work-1,
  lcolor = linecolor(i, '.');
  eval(sprintf('plot(nw%d,ones(size(nw%d))+10*%d,lcolor)', i, i, i+1));
end
ylabel('Puskurit, prosessit')
xlabel('Aika (s)')
